div.connection-status {
    display: block;

    text-align: center;

    width: 100%;
    height: fit-content;

    padding: 1rem 0;

    font-size: 200%;
}

div.connection-status[status="online"] {
    background: green;
}
div.connection-status[status="online"]::after {
    content: "Online";
}

div.connection-statuc[status="error"] {
    background: red;
}
div.connection-status[status="error"]::after {
    content: "Error";
}

div.connection-status[status="offline"] {
    background: grey;
}
div.connection-status[status="offline"]::after {
    content: "Offline";
}